> For the complete documentation index, see [llms.txt](https://docs.vechainstats.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vechainstats.com/api-endpoints/account/deprecated-internal-transfers.md).

# DEPRECATED: Internal Transfers

{% hint style="danger" %}
This endpoint is deprecated. Data historically returned by this endpoint is now merged and available in the [Token Transfers](/api-endpoints/account/token-transfers.md) endpoint.
{% endhint %}

```
https://api.vechainstats.com/v2/account/internal-transfers
    ?address=0xc3f851f9f78c92573620582bf9002f0c4a114b67
    &page=1
    &sort=desc
    &VCS_API_KEY=your_api_key
```

{% hint style="info" %}
This endpoint returns all incoming transfers of a given address, also VET even though it's not a VIP180 contract.
{% endhint %}

{% tabs %}
{% tab title="Request" %}

| Parameter    | Description                                                                             |
| ------------ | --------------------------------------------------------------------------------------- |
| address      | The address you want to query                                                           |
| page         | The `integer` page number, the available pages are shown in the response meta fields    |
| sort         | The sorting preference, use `asc` to sort by ascending and `desc` to sort by descending |
| {% endtab %} |                                                                                         |

{% tab title="Response" %}

```json
{
    "status": {
        "success": true,
        "message": "OK"
    },
    "data": [
        {
            "txid": "0xf7b79092eccc89c9f6819a448723efea68340cecfa0279b107ec68456baf9dc3",
            "clause_index": 0,
            "event_index": 0,
            "sender": "0xc3f851f9f78c92573620582bf9002f0c4a114b67",
            "receiver": "0x7dc30ec6cd9255f76405d826d1a6abfa698eeeb0",
            "block_height": 18326048,
            "block_timestamp": 1713788270,
            "token": "vet",
            "token_symbol": "VET",
            "token_name": "VeChain",
            "token_contract": null,
            "token_decimals": 18,
            "amount": "391.6375"
        },
        {
            "txid": "0xf7b79092eccc89c9f6819a448723efea68340cecfa0279b107ec68456baf9dc3",
            "clause_index": 0,
            "event_index": 0,
            "sender": "0xc3f851f9f78c92573620582bf9002f0c4a114b67",
            "receiver": "0x7dc30ec6cd9255f76405d826d1a6abfa698eeeb0",
            "block_height": 18326048,
            "block_timestamp": 1713788270,
            "token": "vet",
            "token_symbol": "VET",
            "token_name": "VeChain",
            "token_contract": null,
            "token_decimals": 18,
            "amount": "20.6125"
        }
    ],
    "meta": {
        "token_type": "internal",
        "address": "0xc3f851f9f78c92573620582bf9002f0c4a114b67",
        "count": 84996,
        "page": 1,
        "pages": 425,
        "per_page": 200,
        "sort": "desc",
        "timestamp": 1720603499
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vechainstats.com/api-endpoints/account/deprecated-internal-transfers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
